//
//  StopwatchDialView.swift
//  LeCountdown
//
//  Created by Laurent Morvillier on 01/02/2023.
//

import SwiftUI

struct StopwatchDialView: View {
    
    @EnvironmentObject var conductor: Conductor

    @ObservedObject var stopwatch: Stopwatch
    
    var body: some View {
        HStack {
            Text(stopwatch.activity?.name?.uppercased() ?? "")
            Spacer()
        }
    }
    
}

struct StopwatchDialView_Previews: PreviewProvider {
    static var previews: some View {
        StopwatchDialView(stopwatch: Stopwatch.fake(context: PersistenceController.preview.container.viewContext))
            .environmentObject(Conductor.maestro)
            .background(.cyan)
    }
}
